> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voiceagentsclassifiersruns progress



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/agents/classifiers/runs/{run}/progress
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/classifiers/runs/{run}/progress:
    get:
      tags:
        - CallOutcomeClassifiers
      operationId: voice.classifiers.run.progress
      parameters:
        - name: run
          in: path
          required: true
          description: The run ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  run:
                    type: object
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                      total_calls:
                        type: string
                      created_at:
                        type: string
                    required:
                      - id
                      - status
                      - total_calls
                      - created_at
                  logs:
                    type: string
                  status_counts:
                    type: object
                    properties:
                      pending:
                        type: string
                      processing:
                        type: string
                      completed:
                        type: string
                      failed:
                        type: string
                      cancelled:
                        type: string
                    required:
                      - pending
                      - processing
                      - completed
                      - failed
                      - cancelled
                  total_processed:
                    type: string
                required:
                  - run
                  - logs
                  - status_counts
                  - total_processed
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````